#!/bin/sh

echo ====================================
echo ============ PC_BANKING ============
echo ====================================

# Переменная, которая указывает на рабочую область
PC_WS="`pwd`/workspace"

# Переменная, которая хранит команду для запуска java
JAVACMD=$JAVA_HOME/bin/java

# Переменная нужна для поиска native-криптобиблиотек в папке с установленным Офлайн-Банк
[ -d "$PC_WS/lib/lib64" ] && export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$PC_WS/lib/lib64"
[ -d "$PC_WS/lib/lib32" ] && export LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$PC_WS/lib/lib32"

CLASSPATH="$PC_WS/lib/*"
MAIN_CLASS="com.bifit.pc_banking.PcBankingApp"
if [ ! -f "$PC_WS/update.lock" ]; then
    CLASSPATH="`pwd`/launcher.jar"
    MAIN_CLASS="com.bifit.launcher.Launcher"
fi

echo Запуск клиента PC_Banking
"$JAVACMD" -Xmx512m -cp "$CLASSPATH" ${MAIN_CLASS}
